package com.dcsoft.system.uniubi.domain;

/**
 * 海康摄像头配置对象 hk_camera
 *
 * @author ruoyi
 * @date 2023-05-30
 */
public class HkBack
{
    private String ipAddress;//设备 ip

    private Integer  portNo;

    private String  protocol;

    private Integer  channelID;

    private String  activePostCount;

    private String  eventState;

    private String dateTime;//触发时间

    private String eventType;//AccessControllerEvent-刷脸、刷卡QRCodeEvent-二维码IDCardInfoEvent-身份证

    private String serialNumber;//设备序列号

    private String  eventDescription;

    private Event AccessControllerEvent;

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }


    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }


    public String getActivePostCount() {
        return activePostCount;
    }

    public void setActivePostCount(String activePostCount) {
        this.activePostCount = activePostCount;
    }

    public String getEventState() {
        return eventState;
    }

    public void setEventState(String eventState) {
        this.eventState = eventState;
    }

    public String getDateTime() {
        return dateTime;
    }

    public void setDateTime(String dateTime) {
        this.dateTime = dateTime;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getEventDescription() {
        return eventDescription;
    }

    public void setEventDescription(String eventDescription) {
        this.eventDescription = eventDescription;
    }

    public Event getAccessControllerEvent() {
        return AccessControllerEvent;
    }

    public void setAccessControllerEvent(Event accessControllerEvent) {
        AccessControllerEvent = accessControllerEvent;
    }

    public Integer getPortNo() {
        return portNo;
    }

    public void setPortNo(Integer portNo) {
        this.portNo = portNo;
    }

    public Integer getChannelID() {
        return channelID;
    }

    public void setChannelID(Integer channelID) {
        this.channelID = channelID;
    }

    @Override
    public String toString() {
        return "HkBack{" +
                "ipAddress='" + ipAddress + '\'' +
                ", portNo='" + portNo + '\'' +
                ", protocol='" + protocol + '\'' +
                ", channelID='" + channelID + '\'' +
                ", activePostCount='" + activePostCount + '\'' +
                ", eventState='" + eventState + '\'' +
                ", dateTime='" + dateTime + '\'' +
                ", eventType='" + eventType + '\'' +
                ", serialNumber='" + serialNumber + '\'' +
                ", eventDescription='" + eventDescription + '\'' +
                ", event=" + AccessControllerEvent +
                '}';
    }
}
